Last Comment Bug 839872 - context-menu doesn't emit "click" event
: context-menu doesn't emit "click" event
Status: RESOLVED FIXED
:
Product: Add-on SDK
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Erik Vold [:erikvold] (please needinfo? me)
:
Mentors:
Depends on:
Blocks: 839322
  Show dependency treegraph
 
Reported: 2013-02-10 05:24 PST by Kusanagi Kouichi
Modified: 2013-03-28 12:10 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Pointer to Github pull request: https://github.com/mozilla/addon-sdk/pull/782 (355 bytes, text/html)
2013-02-11 15:17 PST, Erik Vold [:erikvold] (please needinfo? me)
dtownsend: review+
Details

Description Kusanagi Kouichi 2013-02-10 05:24:19 PST
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:18.0) Gecko/20100101 Firefox/18.0 Iceweasel/18.0.2
Build ID: 20130208155452

Steps to reproduce:

const cm = require("sdk/context-menu");

cm.Item({
  label: "test",
  contentScript: 'self.on("click", function(node, data) { console.log("click"); })'
});

Run the above code and do either

activate the menu item by return key

or

1. show context-menu
2. hold left or right button
3. go to the menu item
4. release the button


Actual results:

"click" event is not emitted


Expected results:

"click" event is emitted
Comment 1 Wes Kocher (:KWierso) 2013-02-10 11:19:07 PST
Just out of curiosity, did this work with older versions of the SDK?
Comment 2 Kusanagi Kouichi 2013-02-10 20:39:59 PST
(In reply to Wes Kocher (:KWierso) from comment #1)
> Just out of curiosity, did this work with older versions of the SDK?

1.11 and 1.12 emit "click" event. 1.13 and 1.13.1 don't emit "click" event.
Comment 3 Erik Vold [:erikvold] (please needinfo? me) 2013-02-11 15:17:38 PST
Created attachment 712656 [details]
Pointer to Github pull request: https://github.com/mozilla/addon-sdk/pull/782

Pointer to Github pull-request
Comment 4 Erik Vold [:erikvold] (please needinfo? me) 2013-02-11 15:23:51 PST
(In reply to slash from comment #2)
> (In reply to Wes Kocher (:KWierso) from comment #1)
> > Just out of curiosity, did this work with older versions of the SDK?
> 
> 1.11 and 1.12 emit "click" event. 1.13 and 1.13.1 don't emit "click" event.

Thanks for the report!
Comment 5 Dave Townsend [:mossop] 2013-02-11 15:26:00 PST
Comment on attachment 712656 [details]
Pointer to Github pull request: https://github.com/mozilla/addon-sdk/pull/782

Looks good, I'll let you add the comment then merge it in.
Comment 6 [github robot] 2013-02-11 15:34:16 PST
Commits pushed to master at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/b691757807261ccad30854ac4462d955e58877f3
bug 839872: context-menu does not emit click event onCommand

https://github.com/mozilla/addon-sdk/commit/8a086e08abed7eab56540760d53839abb87f4deb
bug 839872: adding test comments

https://github.com/mozilla/addon-sdk/commit/54795f46db436087cee0fc1e5e91d27050b5153a
Merge pull request #782 from erikvold/839872

Fix Bug 839872: context-menu does not emit click event onCommand r=@Mossop
Comment 7 [github robot] 2013-02-11 18:47:31 PST
Commit pushed to stabilization at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/5e1dc2e6a2ae53bc39ad7687b880cbe01c2b1351
Merge pull request #782 from erikvold/839872

Fix Bug 839872: context-menu does not emit click event onCommand r=@Mossop(cherry picked from commit 54795f46db436087cee0fc1e5e91d27050b5153a)
Comment 8 [github robot] 2013-02-12 13:53:37 PST
Commit pushed to release at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/3abe1744231bcb29bb527404309358165712323b
Merge pull request #782 from erikvold/839872

Fix Bug 839872: context-menu does not emit click event onCommand r=@Mossop(cherry picked from commit 54795f46db436087cee0fc1e5e91d27050b5153a)
(cherry picked from commit 5e1dc2e6a2ae53bc39ad7687b880cbe01c2b1351)
Comment 9 [github robot] 2013-03-28 12:10:46 PDT
Commit pushed to stabilization at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/3abe1744231bcb29bb527404309358165712323b
Merge pull request #782 from erikvold/839872

Note You need to log in before you can comment on or make changes to this bug.